List all site partner users
curl --request GET \
--url https://api.lynkwell.com/asset-management/v1/site-partner-users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lynkwell.com/asset-management/v1/site-partner-users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lynkwell.com/asset-management/v1/site-partner-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"hasMore": true,
"items": [
{
"id": "<string>",
"email": "<string>",
"partner": {
"id": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"network": {
"id": "<string>"
},
"firstName": "<string>",
"lastName": "<string>",
"isArchived": true
}
]
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Site Partner Users
List all site partner users
This endpoint retrieves a list of all Site Partner Users
GET
/
asset-management
/
v1
/
site-partner-users
List all site partner users
Authorizations
OAuth2 Client Credentials Flow
Query Parameters
The maximum number of site partner users to return (default 20, maximum 100)
Pattern:
^[0-9][0-9]?$|^100$The ID of the last site partner user in the previous page of results. Results will start after this site partner user
Response
A list of site partner users
Show child attributes
Show child attributes